Scaleway logo
Cloud Essentials for Opensearch API

Cloud Essentials for Opensearch API

Cloud Essential for Opensearch is Scaleway's product to provide a managed infrastructure for your OpenSearch.

The product is currently in Public Beta.

Quickstart

  1. Create a deployment: Run the following command to create a deployment of 3 nodes with 5GB of storage per node and a public endpoint.
TerminalCode
curl -X POST \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ -H "Content-Type: application/json" \ -d '{ "project_id": $SCW_PROJECT_ID, "name":"deployment-1", "tags":[], "node_count":1, // "node_amount": 1, <-- DEPRECATED (use node_count instead) "node_type":"SEARCHDB-DEDICATED-2C-8G", "user_name":"awesomeUser", "password":"MyAwesomeSecureP@ssword1", "volume":{ "type":"sbs_5k", "size_bytes":5000000000 }, "endpoints": [{"public": {}}], "version":"2.0" }' \ "https://api.scaleway.com/searchdb/v1alpha1/regions/fr-par/deployments"
  1. Get a list of your deployments: Run the following command to get a list of all the clusters in your account, with their details:
TerminalCode
curl -X GET \ -H "Content-Type: application/json" \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ "https://api.scaleway.com/searchdb/v1alpha1/regions/fr-par/deployments"
  1. Delete your deployment: Run the following command to delete a cluster. Ensure that you replace {resource-id} in the URLwith the ID of the cluster you want to delete.
TerminalCode
curl -X DELETE \ -H "Content-Type: application/json" \ -H "X-Auth-Token: $SCW_SECRET_KEY" \ "https://api.scaleway.com/searchdb/v1alpha1/regions/fr-par/deployments/{resource-id}"

Technical information

Regions

Scaleway's infrastructure spans different regions and Availability ZonesOpen in new context.

Opensaerchis currently available in the Paris region, which is represented by the following path parameter:

  • fr-par

Going further

For more information about Opensaerch, you can check out the following pages: